require( "scripts/style.lua" );

MakeDialog
{
	FadeWindow
	{
		name="PauseWindow",
		x = 0, y = 0, 
		w = ScreenWight, h = ScreenHeight,

		Bitmap
		{
			image="interface/black1",
			alpha = 0.5,
			x=kCenter,
			y=kCenter,
		};
		
		Bitmap
		{
			image="menu/dialog_pause",
			x=kCenter,
			y=kCenter,
			alpha = 0.6,
		};

		Bitmap
		{
			image="menu/dialog",
			x=kCenter,
			y=kCenter,
		};
		-- заголовок
		Text
		{
			font = HeaderFont,
			name = "pause_txt",
			x=kCenter,y=178,w=kMax,h=50,
			flags = kHAlignCenter + kVAlignTop,
			label = "pause"
		};
		
		-- back
		SetStyle( ProfilesButtonStyle ),
		Button
		{
			x=kCenter,
			y=250,
			name="chooseok",
			label="resume",
			cancel=true,
			default=true,
			command =
				function()
					CloseFade("PauseWindow","CloseWindow()");
				end
		};
		
		SetStyle( ProfilesButtonStyle );
		Button
		{
			x=kCenter,
			y=320,
			label="game_menu",
			command =
				function()
					PlaySfx(mainMenuOpenSound);
					DoModal("scripts/yesno_quitmenu.lua");
				end
		};

		SetStyle( ProfilesButtonStyle );
		Button
		{
			x=kCenter,
			y=390,
			label="optionsbutton",
			command =
				function()
					PlaySfx(mainMenuOpenSound);
					DoModal("scripts/options.lua");
				end
		};

		SetStyle( ProfilesButtonStyle );
		Button
		{
			x=kCenter,
			y=460,
			label="quit",
			command =
				function()
					PlaySfx(mainMenuOpenSound);
					DisplayDialog
					{
						"scripts/yesno_quit.lua",
						body ="game",
						title = ""
					};
				end
		};
 	};
};